package com.ruoyi.zhiyuanzhe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 兑换记录对象 b_exchange_records
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("兑换记录对象")
public class BExchangeRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id")
    @Excel(name = "活动id")
    private Long activityId;

    /**
     * 证书id
     */
    @ApiModelProperty(value = "证书id")
    @Excel(name = "证书id")
    private Long certificateId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    @Excel(name = "用户名称")
    private String userName;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;


}
