package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 活动邀请人员请求类
 *
 * @author wu
 * @since 2023/10/5 20:13
 */
@ApiModel("活动邀请人员请求类")
@Data
public class ActivityInviteRequest implements Serializable {
    private static final long serialVersionUID = 6004963044529179781L;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id", required = true)
    private Long activityId;
}
