package com.ruoyi.zhiyuanzhe.domain.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报名分页响应类
 */
@Data
public class BReportPageResponse {


    /**
     * 编号
     */
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    @Excel(name = "年龄")
    private String ageRange;

    /**
     * 小区
     */
    @ApiModelProperty(value = "小区")
    @Excel(name = "小区")
    private String housingRange;

    /**
     * 文化程度
     */
    @ApiModelProperty(value = "文化程度")
    @Excel(name = "文化程度")
    private String educationRange;

    /**
     * 兴趣爱好
     */
    @ApiModelProperty(value = "兴趣爱好")
    @Excel(name = "兴趣爱好")
    private String interestRange;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    @Excel(name = "政治面貌")
    private String politicalRange;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    @Excel(name = "性别")
    private String sexRange;

    /**
     * 国籍
     */
    @ApiModelProperty(value = "国籍")
    @Excel(name = "国籍")
    private String nationalityRange;

    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    @Excel(name = "专业类型")
    private String professionalRange;

    /**
     * 行业类型
     */
    @ApiModelProperty(value = "行业类型")
    @Excel(name = "行业类型")
    private String industryRange;

    /**
     * 院校
     */
    @ApiModelProperty(value = "院校")
    @Excel(name = "院校")
    private String schoolRange;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;




}
