package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BActivity;

import java.util.List;


/**
 * 活动管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-18
 */
public interface BActivityMapper 
{
    /**
     * 查询活动管理
     * 
     * @param id 活动管理主键
     * @return 活动管理
     */
    public BActivity selectBActivityById(Long id);

    /**
     * 查询活动管理列表
     * 
     * @param bActivity 活动管理
     * @return 活动管理集合
     */
    public List<BActivity> selectBActivityList(BActivity bActivity);

    /**
     * 新增活动管理
     * 
     * @param bActivity 活动管理
     * @return 结果
     */
    public int insertBActivity(BActivity bActivity);

    /**
     * 修改活动管理
     * 
     * @param bActivity 活动管理
     * @return 结果
     */
    public int updateBActivity(BActivity bActivity);

    /**
     * 删除活动管理
     * 
     * @param id 活动管理主键
     * @return 结果
     */
    public int deleteBActivityById(Long id);

    /**
     * 批量删除活动管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBActivityByIds(Long[] ids);
}
