package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 积分兑换消费分页请求类
 */
@Data
@ApiModel(value = "积分兑换消费分页请求类")
public class BCertificatesRequest {

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String name;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * size
     */
    @ApiModelProperty("size")
    private int pageSize;


    /**
     * num
     */
    @ApiModelProperty("num")
    private int pageNum;
}
