package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BInvite;

import java.util.List;


/**
 * 邀请Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
public interface BInviteMapper 
{
    /**
     * 查询邀请
     * 
     * @param id 邀请主键
     * @return 邀请
     */
    public BInvite selectBInviteById(Long id);

    /**
     * 查询邀请列表
     * 
     * @param bInvite 邀请
     * @return 邀请集合
     */
    public List<BInvite> selectBInviteList(BInvite bInvite);

    /**
     * 新增邀请
     * 
     * @param bInvite 邀请
     * @return 结果
     */
    public int insertBInvite(BInvite bInvite);

    /**
     * 修改邀请
     * 
     * @param bInvite 邀请
     * @return 结果
     */
    public int updateBInvite(BInvite bInvite);

    /**
     * 删除邀请
     * 
     * @param id 邀请主键
     * @return 结果
     */
    public int deleteBInviteById(Long id);

    /**
     * 批量删除邀请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBInviteByIds(Long[] ids);
}
